%define pkg_name        perl-ldap
%define pkg_version     0.34
%define rpm_pkg_version 0.34
%define rpm_pkg_release 4.n0i.7

Summary:       Perl Interface to LDAP Protocol
Name:          perl-LDAP
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org//%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Authen::SASL) >= 2.00
BuildRequires: perl(Convert::ASN1) >= 0.07
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(GSSAPI)
BuildRequires: perl(IO::Socket::SSL) >= 0.81
BuildRequires: perl(LWP)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(URI::ldap) >= 1.1
BuildRequires: perl(XML::SAX::Writer)

# skip optional deps
%global perl_filter_req 'perl\\(XML::SAX'

# useless-explicit-provides
%global perl_filter_prov 'perl\\(Net::LDAP::Filter\\)$'


%description
Net::LDAP is a collection of modules that implements a LDAP services API for
Perl programs. It may be used to search directories or perform maintenance
functions such as adding, deleting or modifying entries.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path contrib/ bin/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc bin/ Changes contrib/ CREDITS README TODO


%changelog
* Sun Jun 10 2007 Marius Feraru <altblue@n0i.net> - 0.34-4.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- rebuild on perl 5.8.8

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.33-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
